<script>
    import {currentUser, getUser, logInUser} from "../userStore";

    async function login(e) {
        const data = {};
        const formData = new FormData(e.target);
        for (let field of formData) {
            const [key, value] = field;
            data[key] = value;
        }
        await logInUser(data['name'], data['password']);
    }


</script>

<form on:submit|preventDefault={login}>
    <input type="text" name="name" id="name">
    <input type="password" name="password" id="password">
    <button type="submit">Login</button>
</form>